from ctypes import *
Connector=cdll.LoadLibrary('mdinterface.dll')
#Set IP
IP=create_string_buffer(b'10.100.102.117')
#Set port
port=5000
#call function ReadMI. this function connectors to the flex/max device and retrieves the 
#specified MI.
#for example, the following function connects to the flex device via the IP and PORT and 
#Displays the value of MI 699
readMI=Connector['ReadMI'](699,IP,port)
print ('MI 699 value is ' + str(readMI))

#call function ReadMB. this function connects to the flex/max device and retrieves the
#specified MB.
#for example, the following function connects to the flex device via the IP and PORT and
#displays the value of MB 27 (always expect a result of 0 or 1 when reading MB)
readMB=Connector['ReadMB'](27,IP,port)
print ('MB 27 value is ' + str(readMB))

#call function WriteMI. this function connects to the flex/max device and sets the
#specified MI.
#for example the following function connects to the flex device via the IP and PORT and
#sets the value of MI 699 to 250.
#after wards it reads and prints the new value;
WriteMI=Connector['WriteMI'](699,250,IP,port);
readMI=Connector['ReadMI'](699,IP,port)
print('MI 699 value has been set to ' + str(readMI))

#call function WriteMI. this function connects to the flex/max device and sets the
#specified MI.
#for example the following function connects to the flex device via the IP and PORT and
#sets the value of MB 27 to 1 (always input a value of 0 or 1 when setting MB)
#after wards it reads and prints the new value;
WriteMI=Connector['WriteMI'](27,0,IP,port);
readMI=Connector['ReadMI'](27,IP,port)
print('MB 27 has been set to ' + str(readMI))